Bug 228671 - Does NOT identify GNU Tool Collection
Does NOT identify GNU Tool Collection
Status: RESOLVED WORKSFORME
Product: cnd
Classification: Unclassified
Component: Toolchain
7.3
PC Linux
: P4 (vote)
: TBD
Assigned To: Alexander Simon
issues@cnd
: PERFORMANCE, PLAN, RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-17 16:07 UTC by gnomezgrave
Modified: 2013-04-19 16:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gnomezgrave 2013-04-17 16:07:49 UTC
I'm using Linux Mint 14(x64) and I have installed NetBeans 7.3. When I try to configure C/C++, the default GNU compiler collection is not getting identified. Then I tried to add a tool collection. When I locate /usr/bin, it says the tool collection is UNKNOWN. Even if I try to locate compiler tools manually, it doesn't work at all and those settings gets erased when I close and re-open the Options window.

I'm a huge fan of NetBeans for Java developing, but this is a menace when try to develop C/C++ (QT) projects. This defect surely will discourage C/C++ developers using NetBeans too.

Please fix this.
Comment 1 Alexander Simon 2013-04-17 16:23:23 UTC
Please, provide more information about gcc and g++:
1. version:
#gcc -v
#g++ -v
2. where is:
#type gcc
#type g++
Comment 2 Alexander Simon 2013-04-18 15:28:18 UTC
From user:

$gcc -v

Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/4.7/lto-wrapper
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu/Linaro
4.7.2-2ubuntu1'
--with-bugurl=file:///usr/share/doc/gcc-4.7/README.Bugs
--enable-languages=c,c++,go,fortran,objc,obj-c++ --prefix=/usr
--program-suffix=-4.7 --enable-shared --enable-linker-build-id
--with-system-zlib --libexecdir=/usr/lib --without-included-gettext
--enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.7
--libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu
--enable-libstdcxx-debug --enable-libstdcxx-time=yes
--enable-gnu-unique-object --enable-plugin --enable-objc-gc
--disable-werror --with-arch-32=i686 --with-tune=generic
--enable-checking=release --build=x86_64-linux-gnu
--host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.7.2 (Ubuntu/Linaro 4.7.2-2ubuntu1)

===========================================================================
$g++ -v

Using built-in specs.
COLLECT_GCC=g++
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/4.7/lto-wrapper
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu/Linaro
4.7.2-2ubuntu1'
--with-bugurl=file:///usr/share/doc/gcc-4.7/README.Bugs
--enable-languages=c,c++,go,fortran,objc,obj-c++ --prefix=/usr
--program-suffix=-4.7 --enable-shared --enable-linker-build-id
--with-system-zlib --libexecdir=/usr/lib --without-included-gettext
--enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.7
--libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu
--enable-libstdcxx-debug --enable-libstdcxx-time=yes
--enable-gnu-unique-object --enable-plugin --enable-objc-gc
--disable-werror --with-arch-32=i686 --with-tune=generic
--enable-checking=release --build=x86_64-linux-gnu
--host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.7.2 (Ubuntu/Linaro 4.7.2-2ubuntu1)
===========================================================================
$type gcc
gcc is hashed (/usr/bin/gcc)
===========================================================================
$type g++
g++ is hashed (/usr/bin/g++
Comment 3 Alexander Simon 2013-04-18 15:36:17 UTC
$gcc --version

gcc (Ubuntu/Linaro 4.7.2-2ubuntu1) 4.7.2
Copyright (C) 2012 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

==============================================================================
$g++ --version

g++ (Ubuntu/Linaro 4.7.2-2ubuntu1) 4.7.2
Copyright (C) 2012 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Comment 4 Alexander Simon 2013-04-18 16:55:20 UTC
${NB}/ide/bin/nativeexecution/hostinfo.sh

BITNESS=64
CPUFAMILY=x86
CPUNUM=2
CPUTYPE=x86_64
HOSTNAME=user_host
OSNAME=Linux-LinuxMint
OSBUILD=Linux Mint 14 Nadia
OSFAMILY=LINUX
USER=praneeth
SH=/bin/bash
USERDIRBASE=/home/praneeth
TMPDIRBASE=/var/tmp/dlight_praneeth/
DATETIME=2013-04-18 16:10:20
ENVFILE=/var/tmp/dlight_praneeth//env
ID=uid=1000(praneeth) gid=1000(praneeth)
groups=1000(praneeth),4(adm),24(cdrom),27(sudo),30(dip),46(plugdev),107(lpadmin),125(sambashare)
Comment 5 Alexander Simon 2013-04-19 16:28:11 UTC
From user:
I don't know what happened here.
Since Netbeans 7.3 didn't work for me, I installed netbeans 7.1.2 and
removed 7.3.
Then as now you asked to do this stuff, I re-installed netbeans 7.3
again. Then I went to Options to config C/C++. As before, GNU was not
identified. Then I added it by locating /usr/bin.
But now, It identifies the GNU toolkit and works fine. I'm 100%
positive that it did not work before I installed Netbean 7.1.2.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo